AjMrDeSiGn

Templates Blogger, exquisitez para usuarios curiosos.

HTML5 en IE versiones anteriores

29 nov. 2012

Todavía no entiendo como hay usuarios utilizando IE8, IE7, IE6, pero quieren utilizar HTML5 en IE y en versiones anteriores, hay varias forma de poder realizarlo sin que den problemas utilizando script de terceros, hay otras soluciones y utilizaremos una muy fácil, sera utilizar un comentario condicionado de IE9 <!--[if lt IE 9 ]> y JavaScript para lograr que funcione.

HTML5 en IE versiones anteriores

Lo primero que haremos sera añadir antes de <head> el código de abajo:

<!--[if lt IE 9]>
<script type="text/javascript">
//<![CDATA[
// HTML5 en IE versiones anteriores - AjMrDeSiGn 2012
// http://ajmrdesign.com/2012/11/html5-en-ie-versiones-anteriores.html
document.createElement("header");
document.createElement("nav");
document.createElement("article");
document.createElement("time");
document.createElement("section");
document.createElement("aside");
document.createElement("hgroup");
document.createElement("figcaption");
document.createElement("figure");
document.createElement("mark");
document.createElement("footer");
//]]>
</script>
<![endif]-->

y le damos a guardar y probamos haber si se ve correctamente en versiones anteriores de IE. Una forma fácil y rápida de lograr que sea compatible.

No hay comentarios:

Normas comentarios › Leer antes de comentar...

« »

Suscríbete a nuestro feed...